KDE 4.2 PyKDE API Reference

- KDE's Python API

# PartActivateEvent Class Reference

`from PyKDE4.kparts import *`

Inherits: KParts.Event → QEvent
Namespace: KParts

## Detailed Description

This event is sent by the part manager when the active part changes. Each time the active part changes, it will send first a PartActivateEvent with activated=false, part=oldActivePart, widget=oldActiveWidget and then another PartActivateEvent with activated=true, part=newPart, widget=newWidget.

See also:
  KParts.Part.partActivateEvent

## Methods

| __init__ (self, bool activated, KParts.Part part, QWidget widget)
| __init__ (self, KParts.PartActivateEvent other)
bool | activated (self)
KParts.Part | part (self)
QWidget | widget (self)

## Static Methods

bool | test (QEvent event)

## Method Documentation

__init__ | ( | self, |
|  | bool | activated,
|  | KParts.Part | part,
|  | QWidget | widget
| ) |  |  |

__init__ | ( | self, |
|  | KParts.PartActivateEvent | other
| ) |  |  |

bool activated | ( |  | self ) |

KParts.Part part | ( |  | self ) |

bool test | ( | QEvent | event
| ) |  |  |

QWidget widget | ( |  | self ) |